Bug 85846 - Remove more BUILDING_ON_LEOPARD usage in PLATFORM(MAC) code
Summary: Remove more BUILDING_ON_LEOPARD usage in PLATFORM(MAC) code
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on:
Blocks: 90249
  Show dependency treegraph
 
Reported: 2012-05-07 17:14 PDT by Eric Seidel (no email)
Modified: 2012-06-29 00:16 PDT (History)
8 users (show)

See Also:


Attachments
Patch (35.75 KB, patch)
2012-05-07 17:16 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Fix my typo (35.77 KB, patch)
2012-05-07 17:34 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Patch for landing (30.67 KB, patch)
2012-06-28 23:01 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2012-05-07 17:14:18 PDT
Remove more BUILDING_LEOPARD usage in PLATFORM(MAC) code
Comment 1 Eric Seidel (no email) 2012-05-07 17:16:46 PDT
Created attachment 140629 [details]
Patch
Comment 2 Eric Seidel (no email) 2012-05-07 17:17:30 PDT
I originally tried to remove all of it at once, but the patch would have been huge. :)
Comment 3 Mark Rowe (bdash) 2012-05-07 17:28:31 PDT
It'd be worth updating the bug title and ChangeLog entries to refer to the correct macro name.
Comment 4 Eric Seidel (no email) 2012-05-07 17:32:05 PDT
Ah, sure.  Will do.
Comment 5 Eric Seidel (no email) 2012-05-07 17:34:09 PDT
Created attachment 140634 [details]
Fix my typo
Comment 6 Ryosuke Niwa 2012-05-18 12:29:50 PDT
The patch looks reasonable. Are people from Mac port okay with removing this flag?
Comment 7 Eric Seidel (no email) 2012-05-18 14:06:35 PDT
To be clear, I'm not removing any flags.  I'm just removing support for building PLATFORM(MAC) on Leopard.  It's not been possible to build PLATFORM(MAC) on Leoaprd for a long time, this is just dead code.

The only bit to review here is to make sure that I did the removal correctly and didn't affect any other OS version. :)  I don't believe I did, but that's the only part to review.  The rest is just a rubber stamp.

Chromium has plans to drop Leopard support very soon.  Then removing Leopard support from WebKit will require even less thought. :)
Comment 8 Adam Barth 2012-05-20 20:46:21 PDT
Comment on attachment 140634 [details]
Fix my typo

View in context: https://bugs.webkit.org/attachment.cgi?id=140634&action=review

> Source/WebCore/WebCore.exp.in:2119
>  __ZN7WebCore6Editor13lowercaseWordEv
>  __ZN7WebCore6Editor13uppercaseWordEv
>  __ZN7WebCore6Editor14capitalizeWordEv

Should these get alphabetized with the rest of the file?
Comment 9 Eric Seidel (no email) 2012-05-20 20:48:55 PDT
Comment on attachment 140634 [details]
Fix my typo

View in context: https://bugs.webkit.org/attachment.cgi?id=140634&action=review

>> Source/WebCore/WebCore.exp.in:2119
>>  __ZN7WebCore6Editor14capitalizeWordEv
> 
> Should these get alphabetized with the rest of the file?

Presumably, but seems not worth it for this change.
Comment 10 WebKit Review Bot 2012-05-20 20:51:03 PDT
Comment on attachment 140634 [details]
Fix my typo

Rejecting attachment 140634 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ource/WebCore/platform/graphics/ca/mac/PlatformCAAnimationMac.mm
patching file Source/WebCore/platform/graphics/ca/mac/PlatformCALayerMac.mm
patching file Source/WebCore/platform/graphics/ca/mac/TileCache.mm
Hunk #2 succeeded at 154 (offset 1 line).
Hunk #3 succeeded at 179 (offset 1 line).
Hunk #4 succeeded at 395 (offset 7 lines).

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Adam Barth']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12731489
Comment 11 Eric Seidel (no email) 2012-06-28 22:03:20 PDT
Comment on attachment 140634 [details]
Fix my typo

I doubt this still applies... but just in case.  Leopard is dead now!
Comment 12 WebKit Review Bot 2012-06-28 22:04:43 PDT
Comment on attachment 140634 [details]
Fix my typo

Rejecting attachment 140634 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ource/WebCore/platform/graphics/ca/mac/PlatformCAAnimationMac.mm
patching file Source/WebCore/platform/graphics/ca/mac/PlatformCALayerMac.mm
patching file Source/WebCore/platform/graphics/ca/mac/TileCache.mm
Hunk #2 succeeded at 154 (offset 1 line).
Hunk #3 succeeded at 179 (offset 1 line).
Hunk #4 succeeded at 395 (offset 7 lines).

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Adam Barth']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13120162
Comment 13 Eric Seidel (no email) 2012-06-28 23:01:43 PDT
Created attachment 150086 [details]
Patch for landing
Comment 14 WebKit Review Bot 2012-06-29 00:16:01 PDT
Comment on attachment 150086 [details]
Patch for landing

Clearing flags on attachment: 150086

Committed r121524: <http://trac.webkit.org/changeset/121524>
Comment 15 WebKit Review Bot 2012-06-29 00:16:06 PDT
All reviewed patches have been landed.  Closing bug.